
#include <Wt/WLabel> //WLabel
#include <Wt/WTextArea> //WTextArea
#include <Wt/WPushButton> //WPushButton

#include "SBlog.h" //SBlog

/*!
  *@brief 构造函数，指定亲代部件。
  */
SBlog::SBlog(WContainerWidget *Parent):WContainerWidget(Parent)
{
    setStyleClass("P2pWebContainer"); //设置样式类。

    srand(time(0)); //初始化随机数生成器。

    setupUi(); //setup the ui.

    connectSignals(); //连接信号槽。
} //GenieProWeb::GenieProWeb(WContainerWidget *Parent):WTabWidget(Parent)

/*!
 * \brief QueueMateWeb::setupUi setup the ui.
 */
void SBlog::setupUi()
{
    WLabel * titleLabel=new WLabel(WString::tr("StupidBeauty")); //the blog title .
    titleLabel->setStyleClass ("blogtitle"); //set the style class.
    addWidget (titleLabel); //Add the title label.

    //放在菜单栏后面作为背景的标签：
    WLabel * BgLbl=new WLabel(this);
    BgLbl->show(); //显示。
    BgLbl->setStyleClass("NavBg"); //导航条的背景。

    WLabel * txtArPrmpt=new WLabel(WString::tr("Copy and paste long text larger than 1MiB into the text area:")); //添加文本输入框的提示语。
    addWidget (txtArPrmpt); //添加提示语。

    lngTxtAr=new WTextArea; //添加文本输入框。
    addWidget (lngTxtAr); //添加文本输入框。

    WPushButton * sbMtBt=new WPushButton(WString::tr("Submit")); //创建提交按钮。
    sbMtBt->clicked().connect(this,&SBlog::submit); //按钮被按，则提交文字内容。
    addWidget (sbMtBt); //添加提交按钮。

    resultLabel=new WLabel(WString::tr("The submitted text would be shown here.")); //创建结果标签。
    addWidget (resultLabel); //添加结果标签。

    return;
} //void QueueMateWeb::setupUi()

/*!
 * \brief SBlog::connectSignals 连接信号槽。
 */
void SBlog::connectSignals()
{
    return;
} //void SBlog::connectSignals()

/*!
 * \brief SBlog::submit 按钮被按，则提交文字内容。
 */
void SBlog::submit()
{
    resultLabel->setText(lngTxtAr->text ()); //显示出结果。

    return;
} //void SBlog::submit()
