#include "QueueMateWebApplication.h"  //QueueMateWebApplication

#include <Wt/WServer> //WServer

using namespace std; //string

/*!
 * \brief createApplication 创建应用程序实例。
 * \param env 运行时的环境信息集合。
 * \return 所创建的实例。
 */
WApplication *createApplication(const WEnvironment& env)
{
    WApplication *app = new QueueMateWebApplication(env); //应用程序。
    app->setTitle(WString::tr("StupidBeauty")); //设置窗口标题。

    return app;
} //WApplication *createApplication(const WEnvironment& env)

/*!
  *@brief 主函数。
  */
int main(int argc, char *argv[])
{
    try //创建服务器，并且捕获可能的异常。
    {
        WServer server(argv[0]);

        server.setServerConfiguration(argc, argv, WTHTTP_CONFIGURATION);

        //      BlogSession::configureAuth();

        //      BlogRSSFeed rssFeed(server.appRoot() + "blog.db", "Wt blog example", "", "It's just an example.");

        string WudisKUrl = ""; //浏览器入口的路径。
        server.addEntryPoint(Application, createApplication, WudisKUrl); //直接对浏览器进行服务的入口。

        if (server.start()) //启动服务器。
        {
            WServer::waitForShutdown();
            server.stop();
        } //if (server.start()) //启动服务器。
    }
    catch (WServer::Exception& e) //捕获服务器异常。
    {
        std::cerr << e.what() << std::endl;
    } //catch (WServer::Exception& e) //捕获服务器异常。
    catch (std::exception &e)  //捕获一般异常。
    {
        std::cerr << "exception: " << e.what() << std::endl;
    } //catch (std::exception &e)  //捕获一般异常。
} //int main(int argc, char *argv[])
